# SPDX-FileCopyrightText: 2022 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

stages:
  - checks

image: python:3.10-slim

variables:
  GIT_SUBMODULE_STRATEGY: normal
  GIT_STRATEGY: fetch

check_with_incremental_service:
  stage: checks
  script:
    - apt install python3-requests -y
    - git fetch origin main
    - python3 ./service/use-cases/iVaaS/demo_ci/invoke_incr.py
  artifacts:
    when: always
    paths:
      - output-*.zip
    expire_in: "1 week"
